[Lunar-commits] <moonbase> monkey: A fast and light web server for Linux.

Auke Kok sofar at foo-projects.org
Wed Mar 19 17:46:28 CET 2008


commit 205bf9aedda9898d19fb01c1a1e27ad4b4d0f181
Author: Jason Williams <jason5876 at gmail.com>
Date:   Wed Mar 19 17:46:28 2008 +0100

    monkey: A fast and light web server for Linux.
---
 zbeta/monkey/BUILD         |   13 +++++++++++++
 zbeta/monkey/DETAILS       |   14 ++++++++++++++
 zbeta/monkey/init.d/monkey |   40 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+), 0 deletions(-)

diff --git a/zbeta/monkey/BUILD b/zbeta/monkey/BUILD
new file mode 100644
index 0000000..e1f7058
--- /dev/null
+++ b/zbeta/monkey/BUILD
@@ -0,0 +1,13 @@
+(
+
+sedit "300d" configure &&
+./configure    --prefix=/usr                 \
+               --lang=en                     \
+               --bindir=/usr/bin             \
+               --cgibin=/etc/monkey/cgi-bin  \
+               --sysconfdir=/etc/monkey/conf \
+               --datadir=/var/www/monkey/htdocs \
+               --logdir=/var/www/monkey/logs  
+               $OPTS
+default_make
+) > $C_FIFO 2>&1
diff --git a/zbeta/monkey/DETAILS b/zbeta/monkey/DETAILS
new file mode 100644
index 0000000..a452dc1
--- /dev/null
+++ b/zbeta/monkey/DETAILS
@@ -0,0 +1,14 @@
+          MODULE=monkey
+         VERSION=0.9.2
+          SOURCE=$MODULE-$VERSION.tar.gz
+      SOURCE_URL=http://monkeyd.sf.net/versions/
+      SOURCE_VFY=sha1:1f42b9b1dc925afb6895acaae2caab1a3d4e13e5
+        WEB_SITE=http://monkeyd.sourceforge.net/
+         ENTERED=20080315
+         UPDATED=20080315
+           SHORT="A fast and light web server for Linux."
+
+cat << EOF
+Monkey is a Web server written in C that works under Linux. This
+is an open source project based on the HTTP/1.1 protocol. 
+EOF
diff --git a/zbeta/monkey/init.d/monkey b/zbeta/monkey/init.d/monkey
new file mode 100644
index 0000000..96777db
--- /dev/null
+++ b/zbeta/monkey/init.d/monkey
@@ -0,0 +1,40 @@
+#!/bin/bash
+#
+# Startup script for Monkey Web Server
+#
+# chkconfig: 345 85 15
+# description: a HTTP/1.1 Web server
+#
+# processname: monkey
+# pidfile: /var/www/monkey/logs/monkey.pid
+# config: /etc/monkey/conf/monkey.conf
+
+PID=/var/www/monkey/logs/monkey.pid
+PROG=/usr/bin/monkey
+
+start() {
+    echo -n "Starting monkey: " 
+    $PROG -D > /dev/null 2>&1 &&
+    echo -e "$RESULT_OK" ||
+    echo -e "$RESULT_FAIL"
+}
+
+stop() {
+    echo -n "Stopping Monkey: "
+    killall -q $PROG &&
+    if [ -e $PID ]; then rm $PID; fi
+    echo -e "$RESULT_OK" ||
+    echo -e "$RESULT_FAIL"
+}
+
+restart() {
+    $0 stop
+    $0 start
+}
+
+case "$1" in
+    start|stop|restart) ;;
+    *) echo "Usage: $0 {start|stop|restart}" ; exit 1 ;;
+esac
+
+. /lib/lsb/init-functions


More information about the Lunar-commits mailing list